Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app
Interface Style

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DerivedMutableStyle, MutableStyle, MutableStyleEx

    public interface Style

extends java.io.Serializable

A representation of stylistic property information about a single instance or type of component.

Method Summary
`java.lang.Object` | `getIndexedProperty(java.lang.String propertyName, int index)` Retrieves the value of the specified indexed property.
`java.lang.Object` | `getProperty(java.lang.String propertyName)` Retrieves the value of the specified property.
`java.util.Iterator` | `getPropertyIndices(java.lang.String propertyName)` Determines which indices of a particular property are set.
`java.util.Iterator` | `getPropertyNames()` Retrieves the names of all set properties.
`boolean` | `isIndexedPropertySet(java.lang.String propertyName, int index)` Determines if a particular index of an indexed property is set.
`boolean` | `isPropertySet(java.lang.String propertyName)` Determines if a particular property is set.

Method Detail

### getIndexedProperty

    java.lang.Object getIndexedProperty(java.lang.String propertyName,
                                        int index)

  Retrieves the value of the specified indexed property.

### getProperty

    java.lang.Object getProperty(java.lang.String propertyName)

  Retrieves the value of the specified property.

### getPropertyIndices

    java.util.Iterator getPropertyIndices(java.lang.String propertyName)

  Determines which indices of a particular property are set.

  Returns:
    an `Iterator` that returns the set indices in incrementing order as `Integer`s

### getPropertyNames

    java.util.Iterator getPropertyNames()

  Retrieves the names of all set properties.

  Returns:
    an `Iterator` that returns the names of all set properties

### isIndexedPropertySet

    boolean isIndexedPropertySet(java.lang.String propertyName,
                                 int index)

  Determines if a particular index of an indexed property is set.

  Parameters:
    `propertyName` - the property name
    `index` - the index
  Returns:
    true if the index is set

### isPropertySet

    boolean isPropertySet(java.lang.String propertyName)

  Determines if a particular property is set. In the case of an indexed property, this method will return true if any indices are set.

  Parameters:
    `propertyName` - the property name
  Returns:
    true if the property is set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD